package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.xq.domain.ActivityShop;
import com.ruoyi.xq.domain.ActivityUser;

/**
 * 相亲会参与人Service接口
 *
 * @author 77
 * @date 2024-05-09
 */
public interface ActivityUserService extends IService<ActivityUser> {

    void joinActivity(String orderNo);

    void joinActivity(Long activityId,String mobile,Long userId);

    Long countByActivityIdAndGender(Long id, Integer gender);

    boolean checkJoin(Long userId, Long activityId);
}
